// Copyright (C) {{year}} WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

{{#flutter}}
import 'package:flutter/material.dart';


{{/flutter}}

import 'package:{{#snakeCase}}{{package_name}}{{/snakeCase}}/{{#snakeCase}}{{package_name}}{{/snakeCase}}.dart';

{{^flutter}}
class {{#pascalCase}}{{package_name}}{{/pascalCase}}Example {
  static void run(List<String> args) {
    print({{#pascalCase}}{{package_name}}{{/pascalCase}}.testString);
  }
}


{{/flutter}}


{{#flutter}}
void main(List<String> args) {
  runApp(const App());
}

class App extends StatelessWidget {
  const App({super.key});

  static const String title = '{{#titleCase}}{{package_name}}{{/titleCase}} Example';

  @override
  Widget build(BuildContext context) => MaterialApp(
        title: title,
        theme: ThemeData(
          primarySwatch: Colors.blue,
        ),
        home: Scaffold(
          appBar: AppBar(
            title: const Text(title),
          ),
          body: Center(child: Text({{#pascalCase}}{{package_name}}{{/pascalCase}}.testString)),
        ),
      );
}

{{/flutter}}

